************************************************************************
**  ^ROUTINE: WBCG - bcg iterative method, direct
**                        communication interface. (^)
**
      subroutine sbcg ( ijob , suba , ia , ja , a , subq , iq , jq , q ,
     &    u , uexact , b , iwk , fwk , iparm , fparm , ier )
**
**  ^DESCRIPTION:
**    This routine interfaces the bcg revcom routine via the wmeth interface
*     routine in order to apply the iterative method.
**
**  ^AUTHOR:   wdj@beta.lanl.gov
**
**  ^MODIFIED: wdj@lithos.c3.lanl.gov Thu May  6 13:12:38 MDT 1993
**
**  ^ARGUMENTS: see *Subroutine Arguments* below.
**
**  ^REQUIREMENTS:
**    Common Blocks: none
**    Subroutines:   see below.
**
**  ^SIDE_EFFECTS:
**    See the definition of METHDCLS to see which parameters
**    are modified
**
**  ^ALGORITHM:
**    Preconditioned bcg iterative method
**
**  ^REFERENCES:
**
**  ^DOCUMENTATION:
************************************************************************
*
      implicit none
          Include 'fcube.h'
*         Include 'veclib.h'
*
*#    METHAL           - accelerator arg list.
*#                        (^./src/m4defs/defs_arglists.m4)
      integer ijob
      integer ier
      external suba, subq
       integer iwk(*)
       integer iparm(*)
       real fwk(*)
       real fparm(*)
       integer ia(*)
       integer ja(*)
       integer iq(*)
       integer jq(*)
       real a(*)
       real q(*)
       real u(*)
       real uexact(*)
       real b(*)
*
      external smeth
      external sbcgr
*
      call smeth ( sbcgr , ijob , suba , ia , ja , a , subq , iq , jq , 
     &   q , u , uexact , b , iwk , fwk , iparm , fparm , ier )
*
      return
      end
****^^******************************************************************
*     $Modified: spencer@navier.ae.utexas.edu on Thu May 16 12:00:47 1996 $
*     $Id: bcg.fm4,v 1.2 1994/02/04 03:04:20 joubert Exp $
*     $Revision: 1.2 $
*     $Log: bcg.fm4,v $
*     Revision 1.2  1994/02/04  03:04:20  joubert
*          .
*
*     Revision 1.2  94/02/01  09:56:52  wdj
*
*
*     Revision 1.1  1993/09/17  00:21:05  joubert
*     misc small changes
*
************************************************************************
